# one_chat/__init__.py

from .one_chat import OneChat

ONE_CHAT_INSTANCE = None
DEFAULT_TO = None


def init(authorization_token: str, to: str = None):
    global ONE_CHAT_INSTANCE, DEFAULT_TO
    ONE_CHAT_INSTANCE = OneChat(authorization_token)
    DEFAULT_TO = to


def send_message(
    to: str = None,
    message: str = None,
    custom_notification: str = None,
):
    if ONE_CHAT_INSTANCE is None:
        raise Exception(
            "OneChat is not initialized. Call init(authorization_token, to, bot_id) first."
        )

    to = to or DEFAULT_TO

    if not to:
        raise ValueError(
            "Both 'to' must be provided either during initialization or when calling this method."
        )

    return ONE_CHAT_INSTANCE.send_message(to, message, custom_notification)